<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  
<link rel="stylesheet" href="css.css" />
    <title>ServiceWeb</title>
  <style type="text/css" media="screen">
@import "css.css";
</style>
  </head>
<body>




<?php

  $cnx = mysql_connect( "localhost", "root", "" ) ;
 
  //sélection de la base de données:
  $db  = mysql_select_db( "messagesanonymes" ) ;
 

 if (isset($_FILES['monfichier']) AND $_FILES['monfichier']['error'] == 0)
{
        // Testons si le fichier n'est pas trop gros
        if ($_FILES['monfichier']['size'] <= 1000000)
        {
                // Testons si l'extension est autorisée
                $infosfichier = pathinfo($_FILES['monfichier']['name']);
                $extension_upload = $infosfichier['extension'];
                $extensions_autorisees = array('jpg', 'jpeg', 'gif', 'png');
                if (in_array($extension_upload, $extensions_autorisees))
                {
                        // On peut valider le fichier et le stocker définitivement
                        move_uploaded_file($_FILES['monfichier']['tmp_name'], 'uploads/' . basename($_FILES['monfichier']['name']));
                        echo "L'envoi a bien été effectué !";
                }
        }
}




  //récupération des valeurs des champs:


  $nom=$_POST["nom"];
   
  $age = $_POST["age"];
  
  $sexe = $_POST["sexe"] ;
   
  $categorie = $_POST["categorie"] ; 
 
	$message = $_POST["message"];

  $anonymepetitedesc = $_POST["message"];

  $anonymegrandedesc = $_POST["message"];

  $date = ('Y-m-d h:i:s');

  $Vues = $_POST["Vues"];

  $Images=$_FILES['monfichier']['name'];

 
 

    
  //création de la requête SQL:
  $sql = "INSERT  INTO anonyme (nom, age, sexe, categorie, message, anonymepetitedesc, anonymegrandedesc, Images, Date, Vues )
            VALUES ( '$nom', '$age', '$sexe', '$categorie','$message','$anonymepetitedesc','$anonymegrandedesc', '$Images' , '$Vues' , NOW()) " ;
 
  //exécution de la requête SQL:
  $requete = mysql_query($sql, $cnx) or die( mysql_error() ) ;
 

  




 

  
  

 
  //affichage des résultats, pour savoir si l'insertion a marchée:
  if($requete)
  {
    echo("la modification a ete correctement effectuee") ;
	echo '<p><a href="index.php">RETOUR</a></p>';
  }
  else
  {
    echo("L'insertion à échouée") ;
  }
?>

</body>
</html>